DbEnv::get_errpfx()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_errpfx()

    #include <db_cxx.h>

    void
    DbEnv::get_errpfx(const char **errpfxp);

The `DbEnv::get_errpfx()` method returns the error prefix that appears before error messages issued by Berkeley DB. This error prefix is set using the DbEnv::set_errpfx() method.

The `DbEnv::get_errpfx()` method may be called at any time during the life of the application.

### Parameters

#### errpfxp

The `DbEnv::get_errpfx()` method returns a reference to the error prefix in errpfxp.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::get_errfile() | Home | DbEnv::get_flags()